/**
 * Listen for devicePixelRatio changes and set the new value accordingly. This could
 * happen for reasons such as:
 * - User moves window from retina screen display to a separate monitor
 * - User controls zoom settings on the browser
 *
 * Source: https://github.com/rexxars/use-device-pixel-ratio/blob/main/index.ts
 *
 * @param customDevicePixelRatio - Number to force a dpr to abide by, rather than using the window's
 *
 * @returns dpr: Number - Device pixel ratio; ratio of physical px to resolution in CSS pixels for current device
 */
export default function useDevicePixelRatio(customDevicePixelRatio?: number): number;
