import type { UseRiveFileParameters, RiveFileState } from '../types';
/**
 * Custom hook for initializing and managing a RiveFile instance within a component.
 * It sets up a RiveFile based on provided source parameters (URL or ArrayBuffer) and ensures
 * proper cleanup to avoid memory leaks when the component unmounts or inputs change.
 *
 * @param params - Object containing parameters accepted by the Rive file in the @rive-app/webgl2 runtime,
 *
 * @returns {RiveFileState} Contains the active RiveFile instance (`riveFile`) and the loading status.
 */
declare function useRiveFile(params: UseRiveFileParameters): RiveFileState;
export default useRiveFile;
