import { Rive, ViewModel } from '@rive-app/webgl2';
import { UseViewModelParameters } from '../types';
/**
 * Hook for fetching a ViewModel from a Rive instance.
 *
 * @param rive - The Rive instance to retrieve the ViewModel from
 * @param params - Options for retrieving a ViewModel
 * @param params.name - When provided, specifies the name of the ViewModel to retrieve
 * @param params.useDefault - When true, uses the default ViewModel from the Rive instance
 * @returns The ViewModel or null if not found
 */
export default function useViewModel(rive: Rive | null, params?: UseViewModelParameters): ViewModel | null;
