import { ViewModelInstance } from '@rive-app/webgl2';
import { UseViewModelInstanceColorResult } from '../types';
/**
 * Hook for interacting with color properties of a ViewModelInstance.
 *
 * @param path - Path to the color property
 * @param viewModelInstance - The ViewModelInstance containing the color property
 * @returns An object with the color value and setter functions for different color formats
 */
export default function useViewModelInstanceColor(path: string, viewModelInstance?: ViewModelInstance | null): UseViewModelInstanceColorResult;
