import { ViewModelInstance } from '@rive-app/webgl2';
import { UseViewModelInstanceStringResult } from '../types';
/**
 * Hook for interacting with string properties of a ViewModelInstance.
 *
 * @param params - Parameters for interacting with string properties
 * @param params.path - Path to the property (e.g. "text" or "nested/text")
 * @param params.viewModelInstance - The ViewModelInstance containing the string property
 * @returns An object with the string value and a setter function
 */
export default function useViewModelInstanceString(path: string, viewModelInstance?: ViewModelInstance | null): UseViewModelInstanceStringResult;
